Ansible configuration
=====================

This is the global Ansible configuration of everything making extensive use of
roles with a global playbook called `site.yml`.


Getting started
---------------

### Get Ansible

Install Ansible first on the client:

    yum install -y python-pip python-devel
    pip install ansible

If for some reason you want to have Ansible installed from Git you can do:

    pip install --upgrade git+https://github.com/ansible/ansible.git@devel#egg=ansible

The playbook is run like this (from an unprivileged user):

    ansible-playbook -i inventory/                             \
                     -l <limit_to_host_group_or_list_of_hosts> \
                     -k -u root                                \
                     site.yml


Inventory
---------

### occam

All OCCAM nodes.


Roles
-----

### cvmfs

Install CVMFS client (both `yum` and `apt` supported). Variables:

* `cvmfs_proxy`: specify an URL for a HTTP caching proxy, in the form
  `http://...:3128`. If omitted falls back to direct connection.
